* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-family: "Poppins", sans-serif;
  font-size: 62.5%;
  text-align: center;
}

body {
  background: skyblue;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1.8rem;
}

.container {
  max-width: 1200px;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  padding: 2rem;
  border-radius: 2rem;
  animation: fadeIn 1s ease-in;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.div {
  width: min(80vw, 80vh, 40rem);
}

.quote_container {
  height: 200px;
  padding: 2rem 1rem;
  background: #fff;
  border-radius: 2rem;

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  box-shadow: 0 6px 10px rgba(0, 0, 0, 0.5);
}

.quote_area {
  font-size: min(5vw, 5vh, 1.7rem);
  line-height: 1.6;
}

.author {
  color: orangered;
  text-transform: uppercase;
  font-weight: 600;
  margin-top: 1.5rem;
}

.clock {
  position: relative;
  height: min(80vw, 80vh, 40rem);
  border: 20px solid #fff;
  border-radius: 50%;
  padding: 1rem;
}

/* clock-face */
.clock_face {
  position: relative;
  width: 100%;
  height: 100%;
}

.clock_face::before {
  content: "";
  width: 1px;
  height: 20px;
  background-color: orangered;
  position: absolute;
  top: 2.5%;
  left: 50%;
  transform: translateX(-50%);
}

.clock_face::after {
  content: "";
  width: 4px;
  height: 4px;
  border-radius: 50%;
  background-color: orangered;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 99;
}

.hand {
  width: 50%;
  height: 6px;
  background-color: #000;
  border-radius: 3px;
  position: absolute;
  top: 50%;
  transform-origin: 100%;
  transform: rotate(90deg);
  transition: all 0.05s;
  transition-timing-function: cubic-bezier(0.1, 2.7, 0.58, 1);
}

/* Differnt styles for different hands */
.hour_hand {
  /* shorter */
  width: 35%;

  /* thicker */
  height: 8px;

  right: 50%;
  left: auto;
  background-color: #333;
  z-index: 1;
}

.min_hand {
  height: 5px;
  background-color: #333;
  z-index: 2;
}

.sec_hand {
  height: 3px;
  background-color: #ff6b6b;
  z-index: 3;
}

.digital_clock,
.date {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  width: max-content;
  max-width: 90vw;
  background: #fff;
  padding: 0.5rem 1.5rem;
  border-radius: 0.5rem;
}

.date {
  top: -29px;
}

.digital_clock {
  bottom: -29px;
}

.time_display,
.date_display {
  font-size: 1.6rem;
  color: #333;
  font-weight: 600;
  white-space: nowrap;
  font-family: monospace;
}
